# Sends an email invitation

Endpoint: POST /connect-invitations/v1
Version: all
Security: Bearer

## Request fields (application/json-patch+json):

  - `templateId` (string,null)
    Template ID to be used for the email, if not specified the default template
from configuration will be used

  - `configName` (string,null)
    Customer Configuration to be used for the invite, important where customer config
dictates which sort of connect flow the user will be thrown into

  - `recipientName` (string, required)
    Name of the recipient (e.g. full name of the person)

  - `recipientEmail` (string, required)
    Email address of the recipient to whom the email is going to be sent

  - `customerReference` (string, required)
    Customer reference for this recipient, an example would be a unique identifier
of this user in customer's internal systems

  - `userId` (string,null)
    Optional parameter to associate the consent with the specified userId

## Response 202 fields (application/json):

  - `data` (object)

  - `data.invitationId` (string)
    The unique reference for the invitation.

  - `meta` (object)

  - `meta.totalRecords` (integer,null)
    The total available records for this paged response.

## Response 400 fields (application/json):

  - `code` (string,null)
    Error code.

  - `description` (string,null)
    Error message.

  - `details` (string,null)
    Error details.

  - `correlationId` (string,null)
    User transaction tracking Id


## Response 401 fields

## Response 403 fields
